<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonTxBpmRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonTxBpmRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX1 BPM error values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is applicable for Tx0/Tx1/Tx2 BPM report data. Event: RL_RF_AE_MON_TXn_BPM_REPORT.  
 <a href="structrl_mon_tx_bpm_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a039e9a9ac03db915be436e202ab46f4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a039e9a9ac03db915be436e202ab46f4d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#a039e9a9ac03db915be436e202ab46f4d">statusFlags</a></td></tr>
<tr class="memdesc:a039e9a9ac03db915be436e202ab46f4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_TXn_BPM_PHASE <br />
 [1] STATUS_TXn_BPM_AMPLITUDE <br />
 [15:2]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a039e9a9ac03db915be436e202ab46f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cb352a08dcb327f7be579b048dcddfa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cb352a08dcb327f7be579b048dcddfa"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#a2cb352a08dcb327f7be579b048dcddfa">errorCode</a></td></tr>
<tr class="memdesc:a2cb352a08dcb327f7be579b048dcddfa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a2cb352a08dcb327f7be579b048dcddfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb43dad647b0c4ef2122597156b4738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadb43dad647b0c4ef2122597156b4738"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#aadb43dad647b0c4ef2122597156b4738">profIndex</a></td></tr>
<tr class="memdesc:aadb43dad647b0c4ef2122597156b4738"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:aadb43dad647b0c4ef2122597156b4738"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c2ab93e65306707f2f952f8b6b0bd9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c2ab93e65306707f2f952f8b6b0bd9c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#a9c2ab93e65306707f2f952f8b6b0bd9c">reserved0</a></td></tr>
<tr class="memdesc:a9c2ab93e65306707f2f952f8b6b0bd9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a9c2ab93e65306707f2f952f8b6b0bd9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6c088532e6c370f1b67eddc1525716"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb6c088532e6c370f1b67eddc1525716"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#aeb6c088532e6c370f1b67eddc1525716">reserved1</a></td></tr>
<tr class="memdesc:aeb6c088532e6c370f1b67eddc1525716"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:aeb6c088532e6c370f1b67eddc1525716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b70f5bd511cfcb87e9b3a268aeb535a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b70f5bd511cfcb87e9b3a268aeb535a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#a9b70f5bd511cfcb87e9b3a268aeb535a">txBpmPhaDiff</a></td></tr>
<tr class="memdesc:a9b70f5bd511cfcb87e9b3a268aeb535a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TX output phase difference between the two BPM settings (phase for TX BPM <br />
 setting 0 - phase for TX BPM setting 1) is reported here. <br />
 1 LSB = 360(degree)/2^16. <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a9b70f5bd511cfcb87e9b3a268aeb535a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3549958d3c7def024240e92819fbee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b3549958d3c7def024240e92819fbee"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#a0b3549958d3c7def024240e92819fbee">txBpmAmpDiff</a></td></tr>
<tr class="memdesc:a0b3549958d3c7def024240e92819fbee"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviation of the TX output amplitude difference between the two <br />
 BPM settings (amplitude for TX BPM setting 0 - amplitude for TX <br />
 BPM setting 1) from the ideal 0dB is reported here. <br />
 1 LSB = 0.1dB, signed number <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a0b3549958d3c7def024240e92819fbee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e4430121c0d76415ee7a10ef5d68ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7e4430121c0d76415ee7a10ef5d68ab"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#ad7e4430121c0d76415ee7a10ef5d68ab">reserved2</a></td></tr>
<tr class="memdesc:ad7e4430121c0d76415ee7a10ef5d68ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ad7e4430121c0d76415ee7a10ef5d68ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb46629774b20178b666d8076acb8f63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb46629774b20178b666d8076acb8f63"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_bpm_rep__t.html#adb46629774b20178b666d8076acb8f63">timeStamp</a></td></tr>
<tr class="memdesc:adb46629774b20178b666d8076acb8f63"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:adb46629774b20178b666d8076acb8f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX1 BPM error values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is applicable for Tx0/Tx1/Tx2 BPM report data. Event: RL_RF_AE_MON_TXn_BPM_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
